libsigc++ 2.99.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
sigc::hide_functor< I_location, T_functor > Struct Template Reference
Adaptors » hide(), hide_return()

Adaptor that adds a dummy parameter to the wrapped functor. More...

`#include <sigc++/adaptors/hide.h>`

Inheritance diagram for sigc::hide_functor< I_location, T_functor >:
[legend]

## Public Types
using | adaptor_type = typename adapts< T_functor >::adaptor_type
using | result_type = typename adaptor_type::result_type
Public Types inherited from sigc::adapts< T_functor >
using | adaptor_type = typename adaptor_trait< T_functor >::adaptor_type
using | result_type = typename adaptor_trait< T_functor >::result_type

## Public Member Functions
| hide_functor (const T_functor& _A_func)
| Constructs a hide_functor object that adds a dummy parameter to the passed functor. More...
template<class... T_arg>
decltype(auto) | operator() (T_arg&&..._A_a)
| Invokes the wrapped functor, ignoring the argument at index I_location (0-indexed). More...
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor& _A_functor)
| Constructs an adaptor that wraps the passed functor. More...

## Additional Inherited Members
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

### template<int I_location, class T_functor>
struct sigc::hide_functor< I_location, T_functor >

Adaptor that adds a dummy parameter to the wrapped functor.

Use the convenience function sigc::hide() to create an instance of sigc::hide_functor.

The following template arguments are used:

- I_location Zero-based position of the dummy parameter (`-1` for the last parameter).
- T_type Type of the dummy parameter.
- T_functor Type of the functor to wrap.

## Member Typedef Documentation

template <int I_location, class T_functor >

using sigc::hide_functor< I_location, T_functor >::adaptor_type = typename adapts<T_functor>::adaptor_type

template <int I_location, class T_functor >

using sigc::hide_functor< I_location, T_functor >::result_type = typename adaptor_type::result_type

## Constructor & Destructor Documentation

template <int I_location, class T_functor >

sigc::hide_functor< I_location, T_functor >::hide_functor | ( | const T_functor & | _A_func | ) |
| inline explicit

Constructs a hide_functor object that adds a dummy parameter to the passed functor.

Parameters

  _A_func | Functor to invoke from operator()().

## Member Function Documentation

template <int I_location, class T_functor >
template <class... T_arg>

decltype(auto) sigc::hide_functor< I_location, T_functor >::operator() | ( | T_arg &&... | _A_a | ) |
| inline

Invokes the wrapped functor, ignoring the argument at index I_location (0-indexed).

Parameters

  _A_a | Arguments to be passed on to the functor, apart from the ignored argument.

Returns
  The return value of the functor invocation.